Debian Bug report logs - #604507
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:valkyrie; Maintainer for src:valkyrie is Laszlo Boszormenyi (GCS) <gcs@debian.hu>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Mon, 22 Nov 2010 15:27:08 UTC

Severity: important

Tags: fixed-upstream, sid, wheezy

Found in version valkyrie/1.4.0-2

Fixed in version valkyrie/2.0.0-1

Done: Laszlo Boszormenyi (GCS) <gcs@debian.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Hai Zaar <haizaar@haizaar.com>:
Bug#604507; Package src:valkyrie. (Mon, 22 Nov 2010 15:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Hai Zaar <haizaar@haizaar.com>. (Mon, 22 Nov 2010 15:27:10 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Mon, 22 Nov 2010 16:23:46 +0100
Source: valkyrie
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Bug Marked as found in versions valkyrie/1.4.0-2. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Wed, 24 Nov 2010 15:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hai Zaar <haizaar@haizaar.com>:
Bug#604507; Package src:valkyrie. (Mon, 17 Jan 2011 09:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Hai Zaar <haizaar@haizaar.com>. (Mon, 17 Jan 2011 09:06:05 GMT) Full text and rfc822 format available.

Message #12 received at 604507@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 604507@bugs.debian.org, 559620@bugs.debian.org
Subject: Current valkyrie version (2.0.0) fixes these issues
Date: Mon, 17 Jan 2011 11:03:57 +0200
Hello,

Currently the upstream version of valkyrie is 2.0.0, released on the
21st of October 2010.

http://valgrind.org/downloads/current.html

it was released in the same day as valgrind 3.6.0 and, as the
description says, this version is "Qt4-based GUI for the Valgrind
3.6.x series", which means that simply packaging the 2.0.0 version
will fix both pending bugs.

Oh, and the upstream page needs to be changed since the one in the
copyright file is stale/old in spite of the fact that the page hosted
on valgrind.org still points to the openworks page (or maybe upstream
should be noticed of this inconsistency).

-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein




Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:28:39 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:34:37 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:36:43 GMT) Full text and rfc822 format available.

Added tag(s) pending and fixed-upstream. Request was from George Danchev <danchev@spnet.net> to control@bugs.debian.org. (Thu, 05 May 2011 13:15:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hai Zaar <haizaar@haizaar.com>:
Bug#604507; Package src:valkyrie. (Thu, 05 May 2011 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to George Danchev <danchev@spnet.net>:
Extra info received and forwarded to list. Copy sent to Hai Zaar <haizaar@haizaar.com>. (Thu, 05 May 2011 13:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 604507@bugs.debian.org (full text, mbox):

From: George Danchev <danchev@spnet.net>
To: control@bugs.debian.org
Cc: 604507@bugs.debian.org
Subject: Re: Current valkyrie version (2.0.0) fixes these issues
Date: Thu, 5 May 2011 16:12:09 +0300
tags 604507 + fixed-upstream pending
tags 625176 + pending
thanks

Hopefully the new upstream version will be uploaded shortly, fixing that bug as 
well as #559620 and #625176 (though I haven't check the latter bug myself)

-- 
pub 4096R/0E4BD0AB <people.fccf.net/danchev/key pgp.mit.edu>




Information forwarded to debian-bugs-dist@lists.debian.org, Hai Zaar <haizaar@haizaar.com>:
Bug#604507; Package src:valkyrie. (Sun, 20 May 2012 13:39:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Hai Zaar <haizaar@haizaar.com>. (Sun, 20 May 2012 13:39:14 GMT) Full text and rfc822 format available.

Message #30 received at 604507@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604507@bugs.debian.org, George Danchev <danchev@spnet.net>, Eddy Petrișor <eddy.petrisor@gmail.com>
Subject: Re: Bug#604507: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 20 May 2012 15:35:36 +0200
On Mon, Nov 22, 2010 at 04:23:46PM +0100, Eckhart Wörner wrote:
> Source: valkyrie
> Severity: wishlist
> User: debian-qt-kde@lists.debian.org
> Usertags: qt3libs-removal
> 
> 
> Dear maintainer,
> 
> The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
> Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
> will finish since both KDE and Nokia upstream don't maintain the old versions 
> of those libraries anymore.
> 
> In order to make this move, all packages directly or indirectly depending on 
> the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
> removed from the Debian repositories.
> 
> Therefore, please take the time and:
> - contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
> port of your application
> - if there are no activities regarding porting, investigate whether there are 
> suitable alternatives for your users
> - if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
> - if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
> archives, consider removing the KDE3/Qt3 version
> 
> Documentation on how to port to KDE4 can be found at:
> http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide
> 
> Documentation on how to port to Qt4 can be found at:
> http://doc.qt.nokia.com/4.7/porting4.html
>

Hello maintainer(s),

One year and a half later, it is about time to remove Qt3.
Please, migrate to the Qt4 version (if existing) or file for removal of your
package.

Thanks,
Ana

PS: George, Eddy, I have cc'ed you because you have shown interest in valkyrie
in the bug report. Current maintainer seems MIA, so if you want valkyrie 
based in Qt4 in Wheezy, it is now time to adopt the package.





Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
You have taken responsibility. (Mon, 21 May 2012 17:21:05 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Mon, 21 May 2012 17:21:05 GMT) Full text and rfc822 format available.

Message #35 received at 604507-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
To: 604507-close@bugs.debian.org
Subject: Bug#604507: fixed in valkyrie 2.0.0-1
Date: Mon, 21 May 2012 17:19:13 +0000
Source: valkyrie
Source-Version: 2.0.0-1

We believe that the bug you reported is fixed in the latest version of
valkyrie, which is due to be installed in the Debian FTP archive:

valkyrie_2.0.0-1.debian.tar.gz
  to main/v/valkyrie/valkyrie_2.0.0-1.debian.tar.gz
valkyrie_2.0.0-1.dsc
  to main/v/valkyrie/valkyrie_2.0.0-1.dsc
valkyrie_2.0.0-1_amd64.deb
  to main/v/valkyrie/valkyrie_2.0.0-1_amd64.deb
valkyrie_2.0.0.orig.tar.bz2
  to main/v/valkyrie/valkyrie_2.0.0.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604507@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.hu> (supplier of updated valkyrie package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 May 2012 13:02:42 +0000
Source: valkyrie
Binary: valkyrie
Architecture: source amd64
Version: 2.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Description: 
 valkyrie   - open-source graphical user interface for the Valgrind
Closes: 559620 604507 625176 640178 673651
Changes: 
 valkyrie (2.0.0-1) unstable; urgency=low
 .
   * New upstream release (closes: #559620, #604507, #625176, #640178).
   * New maintainer (closes: #673651).
   * Update Standards-Version and sync with Ubuntu Quantal.
Checksums-Sha1: 
 a815177f1d83a8cf685aae4ffb6457315ec16bc8 1137 valkyrie_2.0.0-1.dsc
 999a6623eea5b7b8d59b55d59b8198f4fcd08add 260690 valkyrie_2.0.0.orig.tar.bz2
 4fa891c93c954a0076c6e49d7453c62755bbb2a8 5364 valkyrie_2.0.0-1.debian.tar.gz
 ee77d59638d7f5093eb25de6336763e69305cc8a 400054 valkyrie_2.0.0-1_amd64.deb
Checksums-Sha256: 
 8e7880ab2bfe16f697e3c7b77025c365fdfdf761df06afd2cf9ccffbd23d9106 1137 valkyrie_2.0.0-1.dsc
 a70b9ffb2409c96c263823212b4be6819154eb858825c9a19aad0ae398d59b43 260690 valkyrie_2.0.0.orig.tar.bz2
 cb94dc2858c1d6ab565c4ce0127a56f16068a2496c2d9d9eac73234a121a7c46 5364 valkyrie_2.0.0-1.debian.tar.gz
 f8933f61aed11a4dc090c1c431369e90fcda5350e8d2c14320ccb2b24660460f 400054 valkyrie_2.0.0-1_amd64.deb
Files: 
 d749ecc135aa20eed223ffbfc29357d7 1137 devel optional valkyrie_2.0.0-1.dsc
 a411dfb803f548dae5f988de0160aeb5 260690 devel optional valkyrie_2.0.0.orig.tar.bz2
 738533400e11c2ce67cbee9abd4488c0 5364 devel optional valkyrie_2.0.0-1.debian.tar.gz
 0cfa6daec58b85b74a4ebb67900bc926 400054 devel optional valkyrie_2.0.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+6bqIACgkQMDatjqUaT920gwCfaevL3Os9+pVrvnzKI6dYaHaI
4xEAn3FIhcnl/p925M95SsMJnpcaDNes
=C9qs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Jun 2012 07:32:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:12:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.